Page MenuHomePhabricator

evisum-0.2* hard codes compiler CFLAGS and LDFLAGS
Closed, ResolvedPublic

Description

Hey,

when packaging evisum-0.2.0 and 0.2.2 to Gentoo, it prints a QA notice about hardcoded CFLAGS and LDFLAGS. In many distros this is not ok, for example openSUSE (and Fedora?) should print the same exact warnings / errors.

To get past QA I used this patch:

diff -Naur a/src/tingle/makefile b/src/tingle/makefile
--- a/src/tingle/makefile	2019-06-09 21:09:50.677101222 +0300
+++ b/src/tingle/makefile	2019-06-19 05:57:15.196603384 +0300
@@ -1,7 +1,7 @@
 PROGRAM=tingle
 SOURCES=tingle.c
-CFLAGS=-O2 -Wall -pedantic -std=c99 -lpthread
-LDFLAGS=-lm -pthread
+CFLAGS+=-Wall -pedantic -std=c99 -lpthread
+LDFLAGS+=-lm -pthread
 HAVE_ALSA := 0
 
 ALSA_TEST := $(shell pkg-config --exists alsa 1>&2 2>/dev/null; echo $$?)

I am not an expert with these things so no idea if that is ok or not, but it got me past QA and evisum and tingle seems to run fine. I don't know what the correct prodecure for fixing this is, I just wanted to report what I found before evisum goes into larger distribution :)

Also would be nice if the alsa thing was enabled/disabled through configuration, and not automatically like that (distros using chroot to build will fail with that).
https://git.enlightenment.org/apps/evisum.git/tree/src/tingle/makefile

juippis created this task.Jun 21 2019, 1:24 AM
netstar closed this task as Resolved.Mar 21 2020, 4:25 AM

This is resolved.